# merged-input-sets

Gets merged input sets

Endpoint: POST /v1/orgs/{org}/projects/{project}/input-sets/merge
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

  - `Load-From-Cache` (string)
    Flag to enable loading the remote Pipeline from git or git cache

## Query parameters:

  - `pipeline` (string, required)
    Pipeline identifier for the Input Set.

  - `pipeline_repo_id` (string)
    Github Repo identifier of the Pipeline to which the Input Sets belong

  - `pipeline_branch` (string)
    Github branch of the Pipeline to which the Input Sets belong

  - `branch_name` (string)
    Name of the branch (for Git Experience).

  - `parent_entity_connector_ref` (string)
    Connector reference for Parent Entity (Pipeline).

  - `parent_entity_repo_name` (string)
    Repository name for Parent Entity (Pipeline).

## Request fields (application/json):

  - `input_set_references` (array)
    List of Input Set References to be merged

  - `with_merged_pipeline_yaml` (boolean)
    This is a boolean value that indicates if the response must contain the YAML for the merged Pipeline. The default value is False.

  - `stage_identifiers` (array)
    List of Stage Ids. Input Sets corresponding to these Ids will be merged.

  - `last_yaml_to_merge` (string)
    Runtime Input Yaml needed to be merged into the result of the merged Yaml of the inputSetReferences

  - `get_only_file_content` (boolean)
    To be set true if we want to set user flow in thread context

## Response 200 fields (application/json):

  - `inputs_yaml_merged` (string)
    Merged YAML of all the Input Sets

  - `merged_pipeline_yaml` (string)
    Pipeline YAML after merging with the Input Sets

  - `is_error_response` (boolean)
    This field is true if the merging is not possible

  - `inputset_error_wrapper` (object)

  - `inputset_error_wrapper.error_pipeline_yaml` (string)
    If an Input Set save fails, this field contains the error fields, with the field values replaced with a UUID

  - `inputset_error_wrapper.uuid_to_error_response_map` (object)
    If an Input Set save fails, this field contains the map from FQN to why that FQN threw an error

  - `inputset_error_wrapper.invalid_inputset_references` (array)
    List of Input Sets that are invalid


